package com.muyu.vehicle.core;

import com.muyu.domain.Vehicle;
import com.muyu.vehicle.VehicleData;

import java.util.HashMap;

/**
 * @author DongZl
 * @description: 车辆容器
 * @Date 2023-11-16 下午 02:30
 */
public class LocalContainer {

    /**
     * 车辆容器
     */
    public static final HashMap<String, VehicleData> vehicleDataMap = new HashMap<>();

    /**
     * 添加车辆
     * @param vehicle 车辆信息
     */
    public static void setVehicle(Vehicle vehicle){
        String vin = vehicle.getVin();
        VehicleData vehicleData = vehicleDataMap.get(vin);
        if (vehicleData == null){
            vehicleDataMap.put(vin,VehicleData.vehicleBuild(vehicle));
        }
    }

}
